summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-08-28 13:27:00 +0200
committerHans de Graaff <graaff@gentoo.org>2019-08-28 13:27:16 +0200
commit72991d2826ca5332f608db600dedd61dc983d150 (patch)
tree7d885977739d0fcec8fcdeef56b4ce97a796f46b /dev-ruby/rdoc
parentdev-ruby/rdoc: add 6.1.2 (diff)
downloadgentoo-72991d2826ca5332f608db600dedd61dc983d150.tar.gz
gentoo-72991d2826ca5332f608db600dedd61dc983d150.tar.bz2
gentoo-72991d2826ca5332f608db600dedd61dc983d150.zip
dev-ruby/rdoc: add 6.2.0
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby/rdoc')
-rw-r--r--dev-ruby/rdoc/Manifest1
-rw-r--r--dev-ruby/rdoc/rdoc-6.2.0.ebuild94
2 files changed, 95 insertions, 0 deletions
diff --git a/dev-ruby/rdoc/Manifest b/dev-ruby/rdoc/Manifest
index 9f2ce0d4100..5480efd3509 100644
--- a/dev-ruby/rdoc/Manifest
+++ b/dev-ruby/rdoc/Manifest
@@ -1,3 +1,4 @@
DIST rdoc-5.1.0.tar.gz 702376 BLAKE2B 733d77a341ddad10f5b648b6bb492e0f79daa392e2ca371d38236e4c85a1c409699e35dd3f5bc8bc48551b399603bb0a747cb3c5f7f1fbf4765aabffaad575aa SHA512 cd2ed37e8502a3e9093c88c258ac5e39542a23c3dcaedb9b5eb48ce391a694e5b35fbcfd62f01ec6353ac9c40a4b7043b2ff11bbc403d2e03de9a84c52bcefe7
DIST rdoc-6.1.1.tar.gz 701297 BLAKE2B cd1494303d5bf4f81804e40a43252a589a6fa141316a573c1e321bf2dbd71330fabd547e09f5c84937cc45b3f79e2936d90813c29fc11b4a514a9cb498b9c98d SHA512 01e32d6e7ffcb5c0e138068867e6d995210d0123cb87c2754994be1a5e0aede0e05114746e6bd788fd0b4299e9a005dcfc863ef07000f1f9fcbf6ed11e44947b
DIST rdoc-6.1.2.tar.gz 667607 BLAKE2B 4857bcf5f72d93fe4e9ea89acfda9ae82afd61a7ff501d2eea529330d2b8a63d7cc775490648fcff5000ee60417123244518f56a31593af8efccae8f925b21d9 SHA512 a54e36adf9f98117f0b5ae4490a0ab1ce12d9b1de5b7c61ffa326b36ef13885bb8f18147f3548f95a285b15470faba14965bc87088fa3ce584928d8ee396689f
+DIST rdoc-6.2.0.tar.gz 668152 BLAKE2B 9c92b27c427d6229778aba54ce7f12fe883fd3e40151f518f3d023d4f6dd10d4f1f6d05c8d6bcdce80d1ac81ab25cd99ccbe9479a4fcd950b895e14d4fdc4b83 SHA512 15352889833436c0a243e4f79c4ae8113fa3b8c222950baf1fcd272773a7a17198c2cd91a50c92e225c282a37ec743a38d8e9ca4dffe0b66c39d56412fe56ca2
diff --git a/dev-ruby/rdoc/rdoc-6.2.0.ebuild b/dev-ruby/rdoc/rdoc-6.2.0.ebuild
new file mode 100644
index 00000000000..7749eef955f
--- /dev/null
+++ b/dev-ruby/rdoc/rdoc-6.2.0.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc RI.rdoc TODO.rdoc"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_BINDIR="exe"
+
+inherit ruby-fakegem eutils
+
+DESCRIPTION="An extended version of the RDoc library from Ruby 1.8"
+HOMEPAGE="https://github.com/ruby/rdoc/"
+SRC_URI="https://github.com/ruby/rdoc/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Ruby MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND+=">=app-eselect/eselect-ruby-20181225"
+
+ruby_add_bdepend "
+ >=dev-ruby/kpeg-1.1.0-r1
+ >dev-ruby/racc-1.4.10
+ dev-ruby/rake
+ test? (
+ dev-ruby/bundler
+ >=dev-ruby/minitest-5.8:5
+ )"
+
+all_ruby_prepare() {
+ # Other packages also have use for a nonexistent directory, bug 321059
+ sed -i -e 's#/nonexistent#/nonexistent_rdoc_tests#g' test/rdoc/test_rdoc*.rb || die
+
+ # Avoid unneeded dependency on bundler, bug 603696
+ sed -i -e '/bundler/ s:^:#:' \
+ -e 's/Bundler::GemHelper.gemspec.full_name/"rdoc"/' \
+ -e '/rubocop\/rake/ s:^:#:' \
+ -e '/RuboCop/,/end/ s:^:#:' Rakefile || die
+
+ # Remove test that is depending on the locale, which we can't garantuee.
+ sed -i -e '/def test_encode_with/,/^ end/ s:^:#:' test/rdoc/test_rdoc_options.rb || die
+
+ # Remove test depending on FEATURES=userpriv, bug 361959
+ sed -i -e '/def test_check_files/,/^ end/ s:^:#:' test/rdoc/test_rdoc_options.rb || die
+
+ # Remove tests for code that is not included and not listed in Manifest.txt
+ rm -f test/test_rdoc_i18n_{locale,text}.rb \
+ test/rdoc/test_rdoc_generator_pot* || die
+}
+
+all_ruby_compile() {
+ all_fakegem_compile
+
+ if use doc ; then
+ ruby -Ilib -S exe/rdoc || die
+ fi
+}
+
+each_ruby_compile() {
+ ${RUBY} -S rake generate || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ for bin in rdoc ri; do
+ ruby_fakegem_binwrapper $bin /usr/bin/$bin-2
+
+ for version in $(ruby_get_use_implementations); do
+ version=`echo ${version} | cut -c 5-`
+ if use ruby_targets_ruby${version}; then
+ ruby_fakegem_binwrapper $bin /usr/bin/${bin}${version}
+ sed -i -e "1s/env ruby/ruby${version}/" \
+ "${ED}/usr/bin/${bin}${version}" || die
+ fi
+ done
+ done
+}
+
+pkg_postinst() {
+ if [[ ! -n $(readlink "${ROOT}"usr/bin/rdoc) ]] ; then
+ eselect ruby set $(eselect --brief --colour=no ruby show | head -n1)
+ fi
+}